Index: code/trunk/src/modules/objects/ForceField.cc
===================================================================
--- code/trunk/src/modules/objects/ForceField.cc	(revision 7678)
+++ code/trunk/src/modules/objects/ForceField.cc	(revision 7801)
@@ -60,4 +60,6 @@
         this->setLength(2000);
         this->mode_ = forceFieldMode::tube;
+        
+        this->registerVariables();
     }
 
@@ -83,4 +85,13 @@
         XMLPortParam(ForceField, "mode", setMode, getMode, xmlelement, mode);
     }
+    
+    void ForceField::registerVariables()
+    {
+        registerVariable(this->velocity_, VariableDirection::ToClient);
+        registerVariable(this->radius_, VariableDirection::ToClient);
+        registerVariable(this->halfLength_, VariableDirection::ToClient);
+        registerVariable(this->mode_, VariableDirection::ToClient);
+    }
+
 
     /**
Index: code/trunk/src/modules/objects/ForceField.h
===================================================================
--- code/trunk/src/modules/objects/ForceField.h	(revision 7678)
+++ code/trunk/src/modules/objects/ForceField.h	(revision 7801)
@@ -88,5 +88,7 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a ForceField object through XML.
+            void registerVariables(); //!< Registers the variables that should get synchronised over the network
             virtual void tick(float dt); //!< A method that is called every tick.
+            
 
             /**
@@ -141,5 +143,5 @@
             float radius_; //!< The radius of the ForceField.
             float halfLength_; //!< Half of the length of the ForceField.
-            forceFieldMode::Value mode_; //!< The mode of the ForceField.
+            int mode_; //!< The mode of the ForceField.
   };
 }
Index: code/trunk/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDBar.cc	(revision 7678)
+++ code/trunk/src/modules/overlays/hud/HUDBar.cc	(revision 7801)
@@ -85,5 +85,5 @@
         this->bar_->setMaterialName(materialname);
 
-        this->value_ = 1.0f;  // initielize with 1.0f to trigger a change when calling setValue(0.0f) on the line below
+        this->value_ = 1.0f;  // initialize with 1.0f to trigger a change when calling setValue(0.0f) on the line below
         this->setAutoColour(true);
         this->setValue(0.0f); // <--
@@ -161,5 +161,5 @@
         if (this->right2Left_)
         {
-            // backward casew
+            // backward case
             this->bar_->setPosition(0.06f + 0.88f * (1 - this->value_), 0.0f);
             this->bar_->setDimensions(0.88f * this->value_, 1.0f);
Index: code/trunk/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 7678)
+++ code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 7801)
@@ -24,4 +24,5 @@
  *   Co-authors:
  *      Reto Grieder
+ *      Oliver Scheuss
  *
  */
@@ -410,3 +411,4 @@
     }
 }
-}
+
+}
Index: code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupManager.cc	(revision 7678)
+++ code/trunk/src/modules/pickup/PickupManager.cc	(revision 7801)
@@ -61,5 +61,5 @@
     /*static*/ const std::string PickupManager::guiName_s = "PickupInventory";
 
-    // Register static newtork functions that are used to communicate changes to pickups over the network, such that the PickupInventory can display the information about the pickups properly.
+    // Register static network functions that are used to communicate changes to pickups over the network, such that the PickupInventory can display the information about the pickups properly.
     registerStaticNetworkFunction(PickupManager::pickupChangedUsedNetwork);
     registerStaticNetworkFunction(PickupManager::pickupChangedPickedUpNetwork);
Index: code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7678)
+++ code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7801)
@@ -120,5 +120,5 @@
     PickupSpawner::~PickupSpawner()
     {
-        if(this->selfDestruct_ && this->pickup_ != NULL)
+        if(this->isInitialized() && this->selfDestruct_ && this->pickup_ != NULL)
             this->pickup_->destroy();
     }
@@ -317,5 +317,7 @@
             assert(pickup);
             assert(target);
-            assert(pickup->pickup(target));
+            bool pickedUp = pickup->pickup(target);
+            assert(pickedUp);
+            pickedUp = false; // To avoid compiler warning.
 
             this->decrementSpawnsRemaining();
Index: code/trunk/src/modules/weapons/MuzzleFlash.cc
===================================================================
--- code/trunk/src/modules/weapons/MuzzleFlash.cc	(revision 7678)
+++ code/trunk/src/modules/weapons/MuzzleFlash.cc	(revision 7801)
@@ -42,5 +42,6 @@
         this->setScale(0.1f);
 
-        this->delayTimer_.setTimer(0.1f, false, createExecutor(createFunctor(&MuzzleFlash::destroy, this)));
+        if( GameMode::isMaster() )
+          this->delayTimer_.setTimer(0.1f, false, createExecutor(createFunctor(&MuzzleFlash::destroy, this)));
     }
 }
